X
Tap here to go to the mobile version of the site.

Support Forum

I have an older version on my MAC and try to update, but it won't work. help please

Posted

I have an old version of Mozilla which is always asking me to update. Every time I try, it just looks like its working but never does. Now the Firefox 25.0.1 is trying to update, but it won't work on my MAC (which is an OS X, version 10.7.5). How can I get the Firefox updates?

I have an old version of Mozilla which is always asking me to update. Every time I try, it just looks like its working but never does. Now the Firefox 25.0.1 is trying to update, but it won't work on my MAC (which is an OS X, version 10.7.5). How can I get the Firefox updates?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.9 r900
  • Microsoft Office for Mac SharePoint Browser Plug-in
  • Displays Java applet content, or a placeholder if Java is not installed.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Adobe® Acrobat® Plug-in for Web Browsers, Version 10.1.8
  • Picasa plugin.
  • WebEx64 General Plugin Container Version 202

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:14.0) Gecko/20100101 Firefox/14.0.1

More Information

{"libraryVersions": {"NSSSMIME": {"minVersion": "3.13.5.0 Basic ECC", "version": "3.13.5.0 Basic ECC"}, "NSSUTIL": {"minVersion": "3.13.5.0", "version": "3.13.5.0"}, "NSS": {"minVersion": "3.13.5.0 Basic ECC", "version": "3.13.5.0 Basic ECC"}, "NSSSSL": {"minVersion": "3.13.5.0 Basic ECC", "version": "3.13.5.0 Basic ECC"}, "NSPR": {"minVersion": "4.9", "version": "4.9"}}, "javaScript": {"incrementalGCEnabled": true}, "accessibility": {"isActive": false}, "application": {"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:14.0) Gecko/20100101 Firefox/14.0.1", "supportURL": "http://support.mozilla.org/1/firefox/14.0.1/Darwin/en-US/", "version": "14.0.1", "name": "Firefox"}, "modifiedPreferences": {"gfx.blacklist.layers.direct3d9": 3, "browser.places.smartBookmarksVersion": 4, "network.cookie.prefsMigrated": true, "browser.cache.disk.capacity": 1048576, "gfx.blacklist.webgl.msaa": 4, "browser.startup.homepage_override.buildID": "20120713134347", "browser.cache.disk.smart_size.first_run": false, "gfx.blacklist.direct2d": 3, "browser.startup.homepage_override.mstone": "14.0.1", "places.history.expiration.transient_current_max_pages": 104858, "security.warn_viewing_mixed.show_once": false, "extensions.lastAppVersion": "14.0.1", "browser.cache.disk.smart_size_cached_value": 1048576, "places.database.lastMaintenance": 1385582591, "privacy.sanitize.migrateFx3Prefs": true}, "extensions": [{"version": "1.1a", "name": "Troubleshooter", "isActive": true, "id": "troubleshooter@mozilla.org"}], "graphics": "Troubleshoot data provider failed: graphics\nTypeError: ext is null", "userJS": {"exists": false}}

kobe 441 solutions 5048 answers

You can update manually by downloading the install file from mozilla.org

Does that help, also further details are in the Updating Firefox How-to article.

You can update manually by downloading the install file from mozilla.org Does that help, also further details are in the [[Update Firefox to the latest version|Updating Firefox How-to]] article.